Bug 970262 - Anaconda 13.21.195 exception report
Anaconda 13.21.195 exception report
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python-urlgrabber (Show other bugs)
6.4
Unspecified Linux
medium Severity low
: rc
: ---
Assigned To: Valentina Mukhamedzhanova
Martin Frodl
: Patch, Reopened
Depends On:
Blocks: 1172231 1271238
  Show dependency treegraph
 
Reported: 2013-06-03 16:05 EDT by bert269
Modified: 2016-05-10 17:34 EDT (History)
10 users (show)

See Also:
Fixed In Version: python-urlgrabber-3.9.1-10.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-10 17:34:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda Bug Report (46.90 KB, application/gzip)
2013-06-03 16:15 EDT, bert269
no flags Details

  None (edit)
Description bert269 2013-06-03 16:05:47 EDT
Description of problem:
TRying to install RHEL 6.4 onto a Z14 (dedicated partition - not z/VM)


Version-Release number of selected component (if applicable):
Anaconda 13.21.195

How reproducible:
Very - each time

Steps to Reproduce:
1. Rerun text install script

Actual results:
 Traceback File "/usr/lib/python2.6/site-packages/urlgrabber/grabber.py", line 126, in _hdr_retrieve self.size = int(s), ValueError:invalid lieteral for int() with base 10: '20130130152306.000'
Installation aborts

Expected results:
Fr the install to continue

Additional info:
Comment 1 bert269 2013-06-03 16:10:24 EDT
Anaconda.log:
16:13:49,415 INFO anaconda: /usr/sbin/anaconda 19.18-1
16:13:49,666 INFO anaconda: 1048576 kB (1024 MB) are available
16:13:49,666 INFO anaconda: check_memory(): total:1024, needed:512, graphical:512
16:13:49,678 INFO anaconda: anaconda called with cmdline = ['/usr/sbin/anaconda']
16:13:49,678 INFO anaconda: Default encoding = utf-8 
16:13:50,020 WARN anaconda.stdout: Not asking for VNC because text mode was explicitly asked for in kickstart
16:13:50,025 INFO anaconda: Display mode = c
16:13:50,025 INFO anaconda: 1048576 kB (1024 MB) are available
16:13:50,025 INFO anaconda: check_memory(): total:1024, needed:512, graphical:512
16:13:50,096 INFO anaconda: using only installclass _Fedora
16:13:51,012 INFO anaconda: bootloader ZIPL on S390 platform
16:13:51,012 INFO anaconda: bootloader ZIPL on S390 platform
16:13:51,038 DEBUG anaconda: network: devices found ['eth0']
16:13:51,206 DEBUG anaconda: updating hostname devel6.s390.bos.redhat.com
16:13:51,224 INFO anaconda: Running Thread: AnaStorageThread (4397935638800)
16:13:51,231 INFO anaconda: Running Thread: AnaWaitForConnectingNMThread (4397927250192)
16:13:51,234 INFO anaconda: Running Thread: AnaPayloadThread (4397918861584)
16:13:51,237 INFO anaconda: Thread Done: AnaWaitForConnectingNMThread (4397927250192)
16:13:51,468 INFO anaconda: Running Thread: AnaStorageWatcher (4397927250192)
16:14:04,862 INFO anaconda: Thread Done: AnaStorageThread (4397935638800)
16:14:04,880 INFO anaconda: Thread Done: AnaStorageWatcher (4397927250192)
16:14:10,127 INFO anaconda: Thread Done: AnaPayloadThread (4397918861584)
Comment 2 bert269 2013-06-03 16:15:03 EDT
Created attachment 756494 [details]
Anaconda Bug Report

Bug report as generated by install
Comment 4 Samantha N. Bueno 2013-06-03 16:28:59 EDT
This looks like an issue with python-urlgrabber, not anaconda. Reassigning.
Comment 5 bert269 2013-06-03 17:35:35 EDT
Same issue with X11 install, so NOT only text install.
Comment 6 bert269 2013-06-11 14:29:01 EDT
(In reply to Samantha N. Bueno from comment #4)
> This looks like an issue with python-urlgrabber, not anaconda. Reassigning.

Samantha.
Can you please give me an update on the status of this issue as you were going to re-assign it.
I have not received the new issue number (if it was going to change)

Any more ideas?
Thanks
Comment 7 Zdeněk Pavlas 2013-06-12 08:45:05 EDT
Indeed a bug in urlgrabber, it can't tell whether the FTP server's "213" file status response contains timestamp or file size.  Fixed upstream.

http://yum.baseurl.org/gitweb?p=urlgrabber.git;a=commitdiff;h=1596446c
Comment 9 Andrius Benokraitis 2013-10-06 21:42:04 EDT
This Bugzilla has been reviewed by Red Hat and is not planned on being addressed in Red Hat Enterprise Linux 6, and will be closed. If this bug is critical to production systems, please contact your Red Hat support representative and provide sufficient business justification.
Comment 10 bert269 2013-10-22 13:26:30 EDT
I need this to be resolved (upstream, even in r7). Please. I am trying to do a proof of concept on the Z114 and due to this installation error - the LPAR install cannot continue - I cannot complete the proof of concept study.

Thank you
Albertus de Wet
Comment 11 RHEL Product and Program Management 2013-10-22 13:50:01 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 12 Jan Zeleny 2013-10-23 02:44:27 EDT
(In reply to bert269 from comment #10)
> I need this to be resolved (upstream, even in r7). Please. I am trying to do
> a proof of concept on the Z114 and due to this installation error - the LPAR
> install cannot continue - I cannot complete the proof of concept study.

Are you saying this is still an issue in the upstream? From comment 7 I understand that it got fixed there. If not, than that's where the issue should be fixed.

As for fixing this in RHEL 6: this particular bug has a very low probability of being fixed due to low priority. If you want to raise the priority, please contact your support representative.
Comment 13 Zdeněk Pavlas 2013-10-23 03:34:54 EDT
This *should* be fixed upstream, in Fedora, and in EL7.0, but not in EL6.

http://yum.baseurl.org/gitweb?p=urlgrabber.git;a=commitdiff;h=1596446cf5cc9777c91f0cc1023d482ac9c2226f
Comment 14 Chris Williams 2015-07-31 17:43:49 EDT
CLosing this BZ based on Comment
Comment 21 errata-xmlrpc 2016-05-10 17:34:39 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0839.html

Note You need to log in before you can comment on or make changes to this bug.